from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XEvent(XInterface, Protocol):
    def getType(self) -> str: ...
    def getTarget(self) -> XEventTarget: ...
    def getCurrentTarget(self) -> XEventTarget: ...
    def getEventPhase(self) -> PhaseType: ...
    def getBubbles(self) -> bool: ...
    def getCancelable(self) -> bool: ...
    def getTimeStamp(self) -> Time: ...
    def stopPropagation(self) -> None: ...
    def preventDefault(self) -> None: ...
    def initEvent(self, eventTypeArg: str, canBubbleArg: bool, cancelableArg: bool) -> None: ...
